#version 300 es

layout( location = 0 ) in vec3 attrib_pos;
layout( location = 1 ) in vec2 attrib_uv;

layout(std140) uniform glfx_INSTANCES
{
	vec4 glfx_IDATA[8];
};


uniform uint glfx_CURRENT_I;
#define glfx_T_SPAWN (glfx_IDATA[glfx_CURRENT_I].x)
#define glfx_T_ANIM (glfx_IDATA[glfx_CURRENT_I].y)
#define glfx_ANIMKEY (glfx_IDATA[glfx_CURRENT_I].z)

out vec2 var_uv;
out float var_time;

void main()
{
	vec2 v = attrib_pos.xy;
	vec2 uv = vec2(v.x + 0.5, v.y - 0.3);
	// v += js_transformation[glfx_CURRENT_I].xy;
	// v.x *= js_transformation[glfx_CURRENT_I].z;

	gl_Position = vec4(v, -1., 1. );
	var_uv = uv;

  	var_time = glfx_T_SPAWN;
}